@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

:root {
  --header-height: 3rem; /*48px*/

  /* ===== Colors ===== */

  --color-text-full-white: #fff;
  --color-text-full-black: #000;
  --color-text-nuance-white: #86868b;
  --color-text-nuance-black: #1d1d1f;

  --header-full-black: #181818;
  --header-nuance-black: #252627;
  --background-full-white: #fbfbfb;
  --background-nuance-white: #f2f2f2;

  --color-text-nuance-red: #ed5565;

  /* ===== Font and Typography ===== */

  --header-font-family: "Roboto", sans-serif;
  --biggest-font-size: 2.5rem; /*40px*/
  --h1-font-size: 1.5rem; /*24px*/
  --h2-font-size: 1.25rem; /*20px*/
  --h3-font-size: 1.125rem; /*18px*/

  --normal-font-size: 0.938rem; /*15px*/
  --small-font-size: 0.813rem; /*13px*/
  --smaller-font-size: 0.75rem; /*12px*/

  /* ===== Font weight ===== */

  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /* ===== Margines ===== */

  --mb-1: 0.5rem; /*8px*/
  --mb-2: 1rem; /*16px*/
  --mb-3: 1.5rem; /*24px*/
  --mb-4: 2rem; /*32px*/
  --mb-5: 2.5rem; /*40px*/
  --mb-6: 3rem; /*48px*/

  /* ===== z index ===== */

  --z-normal: 1;
  --z-between: 10;
  --z-fixed: 100;

  --primary-light: #39ddfa;
  --primary: #00abdf;
  --primary-dark: #008ada;
  --white: #fff;
  --greyLight-1: #ebf5fc;
  --greyLight-2: #d5e0f3;
  --greyLight-3: #c1d9fe;
  --greyDark: #646b8c;
}

/* FIRST MEDIA (POUR LES ECANT DE PLUS DE 768px */

@media screen and (min-width: 770px) {
  /* (Quand + de 768) Lorsque que l'ecrant a une largeur min de 768px*/
  :root {
    --biggest-font-size: 4.5rem; /*72px*/
    --h1-font-size: 2.25rem; /*36px*/
    --h2-font-size: 1.5; /*24px*/
    --h3-font-size: 1.25rem; /*20px*/
    --normal-font-size: 1rem; /*16px*/
    --small-font-size: 0.875rem; /*14px*/
    --smaller-font-size: 0.813rem; /*13px*/
  }
}

/* ===== BASE ===== */

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}
body {
  margin: 0px;
  font-family: var(--header-font-family);
  font-size: var(--normal-font-size); /* 15px */
  font-weight: var(--font-medium); /* 500 */
  background: #000;
  color: var(--text-color);
}

h1,
h2,
h3,
ul,
p {
  margin: 0;
}

h2,
h3 {
  font-weight: var(--font-semi-bold);
}

ul {
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* ===== MOBILE FIRST */

/* ===== LAYOUT ===== */

.bd-container {
  max-width: 1024px;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}
.bd-container2 {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
}

.I-header {
  width: 100%; /* Prend la totaliter de la largeur */
  position: fixed; /* Reste fixe */
  top: 0; /* Place toi tout en haut de ma page */
  left: 0; /* Place toi tout a gauche de ma page */
  z-index: var(--z-fixed); /* Surpace tous mes elems */
  background-color: var(--header-full-black);
}

.nav {
  height: var(--header-height);
  display: flex; /* Place mes elmes sur la même ligne (le toggle, PORTFOLIO) */
  justify-content: space-between; /* Espaces ces elems */
  align-items: center; /* Vertical middle par apport a ma nav */
}

@media screen and (max-width: 770px) {
  /* Écrant -768px */
  .nav__menu {
    position: fixed;
    top: -100%; /* Pour le cacher ma nav */
    left: 0;
    width: 100%;
    padding-top: 1.5rem;
    text-align: center;
    background-color: var(--header-nuance-black);
    transition: 0.4s;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5); /* Ombre du bas */
    border-radius: 0 0 1rem 1rem;
  }
}
.nav__item {
  margin-bottom: var(--mb-3);
}

.nav__link {
  /* Mes liens */
  color: var(--color-text-full-white);
  transition: 0.3s;
}

.nav__link:hover {
  color: var(--color-text-nuance-red);
}

.nav__logo,
.nav__toggle {
  color: var(--color-text-full-white);
}

.nav__toggle {
  font-size: 1.3rem;
  cursor: pointer;
}

/*===== SHOW MENU =====*/
.show-menu {
  top: var(
    --header-height
  ); /* Pour que le deploiment de ma nav ce fait juste après mon header*/
}

/*===== ACTIVE MENU =====*/
.active-link {
  position: relative; /* Pour bien placer mon elem vide */
}

.active-link::after {
  /* Mon emlm vide en bas de mes liens */
  content: "";
  position: absolute;
  bottom: -0.7rem;
  left: 0;
  width: 75%;
  height: 2px;
  background-color: var(--color-text-nuance-red);
  border-radius: 5px;
}

/*===== CHANGE BG HEADER =====*/
.scroll-header {
  background-color: var(--background-full-white);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.scroll-header .nav__logo,
.scroll-header .nav__toggle,
.scroll-header .nav__link {
  color: var(--color-text-full-black);
}

.scroll-header .nav__menu {
  background-color: var(--background-full-white);
}

/*===== INCON SCROLL TOP =====*/
@media screen and (max-width: 770px) {
  .scrolltop {
    position: fixed;
    right: 44%;
    bottom: -20%; /* Pour le cacher */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.35rem;
    background-color: #f0f0f0;
    border-radius: 50%;
    z-index: var(--z-tooltip);
    transition: 0.4s;
    visibility: hidden;
  }
}
@media screen and (min-width: 770px) {
  .scrolltop {
    position: fixed;
    right: 1rem;
    bottom: -20%; /* Pour le cacher */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.35rem;
    background-color: #d3d3d3;
    border-radius: 8px;
    z-index: var(--z-tooltip);
    transition: 0.4s;
    visibility: hidden;
  }
}
a#scroll-top {
  z-index: 1000 !important;
}

.scrolltop:hover {
  background-color: var(--color-text-nuance-red);
  color: var(--color-text-nuance-black);
}
.scrolltop__icon:hover {
  color: var(--color-text-nuance-black);
}
.scrolltop__icon {
  font-size: 2rem;
  color: var(--color-text-nuance-black);
}

/* SHOW ICON SCROLL TOP */
.show-scroll {
  visibility: visible;
  bottom: 1.5rem; /* Pour le voir car l */
}

@media screen and (min-width: 770px) {
  .nav {
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__list {
    display: flex;
  }
  .nav__item {
    margin-left: var(--mb-5);
    margin-bottom: 0;
    font-weight: 400;
  }
  .nav__toggle {
    display: none;
  }
}

@media screen and (min-width: 1024px) {
  .bd-container {
    margin-left: auto;
    margin-right: auto;
  }
  .barp {
    height: 200px !important;
    width: 200px !important;
  }
  svg .circle1 {
    stroke-width: 29px !important;
    stroke-dasharray: 525 !important;
    stroke-dashoffset: 629px !important;
  }
  svg .circle2 {
    stroke-width: 29px !important;
    stroke-dasharray: 590 !important;
    stroke-dashoffset: 629px !important;
  }
  svg .circle3 {
    stroke-width: 29px !important;
    stroke-dasharray: 580 !important;
    stroke-dashoffset: 629px !important;
  }
  svg .circle4 {
    stroke-width: 29px !important;
    stroke-dasharray: 700 !important;
    stroke-dashoffset: 629px !important;
  }
  .bar-html {
    height: 18px !important;
  }

  span.span_professional {
    font-size: 17px !important;
  }
  .h1_professional {
    font-size: 25px !important;
  }
}

/* HEADER__HOME */

.home {
  background-color: var(--header-nuance-black);
}
.home__container {
  position: relative;
  height: 100vh;
  grid-template-rows: repeat(2, max-content);
  align-content: space-around;
  row-gap: 2rem;
}
.home__data {
  padding-left: 1.5rem;
  z-index: var(--z-tooltip);
}

.home__img {
  position: absolute;
  right: 0;
  bottom: 0;
  margin-bottom: 30px;
}
.home__img img {
  width: 240px;
}
.home__social {
  display: flex;
  flex-direction: column;
}
.home__social-icon {
  width: max-content;
  font-size: 1.8rem;
  margin-left: var(--mb-2);
  margin-bottom: var(--mb-2);
  color: var(--background-full-white);
}

/* ===== BUTTON ===== */
.button {
  display: inline-block;
}
.home__button {
  padding: 12px 25px;
  background-color: none;
  border: 3px solid #ed5565;
  color: #ed5565;
  font-size: 0.8rem;
  letter-spacing: 2px;

  overflow: hidden;
  transition: 0.5s;
  display: inline-block;
}
.home__button:hover {
  color: #fff;
  cursor: pointer;
}

.home__button::before {
  content: "";
  background-color: #ed5565;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 0%;
  z-index: -1;
  transition: 0.5s;
}
.home__button:hover::before {
  height: 100%;
}
.home__description {
  font-size: 1.938;
  color: #707070;
  margin-top: var(--mb-3);
  letter-spacing: 3px;
  word-spacing: 10px;
  font-size: 0.8rem;
  margin: 20px 0px;
}

.text h1 {
  color: #fff;
  font-size: 35px;
  cursor: context-menu;
}

.text span {
  display: inline-block;
}

.animation:hover {
  color: #48cfad;
  transition: all 0.5s;
}

.animation.name {
  color: #ed5565;
}

.animation.m-left {
  margin-left: -10px;
}

.text a:hover {
  color: #fff;
}

.text a::before {
  content: "";
  background-color: #ed5565;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 0%;
  z-index: -1;
  transition: 0.5s;
}

.text a:hover::before {
  height: 100%;
}

/* ANIMATION LETTER */

.animation:hover {
  animation: rubberBand 1s;
}

@keyframes rubberBand {
  0% {
    transform: scale3d(1, 1, 1);
  }

  30% {
    transform: scale3d(1.25, 0.75, 1);
  }

  40% {
    transform: scale3d(0.75, 1.25, 1);
  }

  50% {
    transform: scale3d(1.15, 0.85, 1);
  }

  65% {
    transform: scale3d(0.95, 1.05, 1);
  }

  75% {
    transform: scale3d(1.05, 0.95, 1);
  }

  100% {
    transform: scale3d(1, 1, 1);
  }
}

@media screen and (min-width: 769px) {
  /* Pour que les ipad pro mettre 1025px*/
  .home__container {
    grid-template-rows: max-content 0.5fr;
    align-content: flex-end;
  }
  .text h1 {
    font-size: 40px;
  }
  .home__social {
    flex-direction: row;
    align-items: center;
  }
  .home__social-icon {
    margin-right: var(--mb-4);
    margin-bottom: 0;
  }
  .home__img img {
    width: 335px;
  }
  .about__despcription {
    text-align: initial;
  }
  .about__img {
    width: 300px;
  }
  .qualification__box {
    display: flex;
    justify-content: space-between;
  }

  .home__img {
    padding-bottom: 70px;
    margin: 0;
  }
  .about {
    height: 100vh;
  }
  .cv {
    height: 100vh;
  }
  .skills_container {
    grid-template-columns: repeat(2, 1fr);
  }
  .barp {
    height: 200px;
    width: 200px;
  }
}

@media screen and (min-width: 576px) {
  .home__img img {
    width: 300px;
  }
  .about_container,
  .qualification__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

.section-title,
.section-subtitle {
  text-align: center;
}

.section-title {
  /* Titre */
  font-size: var(--h1-font-size); /*24px*/ /*36px*/
  color: var(--color-text-full-black);
  margin-bottom: var(--mb-4); /*24px*/
}

.section-subtitle {
  /* Sous-titre */
  padding-top: 90px;
  display: block;
  color: var(--color-text-nuance-red);
  font-size: var(--smaller-font-size); /*14px*/
  font-weight: var(--font-semi-bold);
}
.section-subtitle:hover {
  /* Sous-titre */

  color: var(--color-text-nuance-red);
}
/* ==== ABOUT ==== */

.about__data {
  text-align: center;
}

p.about__description {
  text-align: left;
}
.about__number {
  font-weight: var(--font-bold);
  font-size: var(--h1-font-size);
  color: var(--color-text-full-black);
  display: block;
}
.about__number:hover {
  color: var(--color-text-full-black);
}
.about__img {
  justify-self: center;
  width: 315px;
}

@media screen and (min-width: 760px) {
  .about__despcription {
    text-align: initial;
  }
  .about__img {
    width: 300px;
  }
  .qualification__box {
    display: flex;
    justify-content: space-between;
  }
}
@media screen and (max-width: 380px) {
  .section-subtitle {
    /* Sous-titre */
    padding-top: 70px;
  }
  .section-subtitle-about {
    padding-top: 70px;
  }
}

/* ===== CURRICULUM-VITAE */

.cv {
  background-color: var(--header-nuance-black);
}
.qualification__container {
  row-gap: 2.5rem;
}
.qualification__title {
  font-size: var(--h3-font-size);
  color: var(--color-text-full-white);
  margin-bottom: var(--mb-2);
  display: flex;
  align-items: center;
}

.white {
  color: #fff;
}
.qualification__title-icon {
  font-size: 1.5rem;
  margin-right: var(--mb-1);
}
.qualification__box {
  padding-bottom: 1rem;
  border-bottom: 1px solid #ccc;
}

.qualification__area {
  font-size: var(--normal-font-size);
  color: var(--color-text-nuance-red);
  margin-bottom: var(--mb-1);
  font-weight: var(--font-medium);
}

.qualification__icon,
.qualification__work {
  font-size: var(--smaller-font-size);
  color: var(--background-nuance-white);
}
.qualification__work {
  display: block;
}

.bd-grid {
  display: grid;
  gap: 1.5rem;
}

.text-center {
  text-align: center;
}
.pb-2 {
  padding-top: 30px;
  padding-bottom: 30px;
}
section#About {
  padding-bottom: 50px;
}

/* Competences Start */
.comp {
  background: #dde1e7;
  /* background-color: #ebecf0; */
}
.about__data {
  padding: 20px;
  border-radius: 5px;
}
h3.h3comp {
  font-weight: 500;
  margin-bottom: 40px;
}
.red {
  color: var(--color-text-nuance-red) !important;
}
h1.h1_professional {
  font-weight: 500 !important;
}

/* .html {
  display: flex; 
} */
.tag-html {
  margin: 15px 0px;
  min-width: 30%;
}
.tag-html {
  display: flex;
  justify-content: space-between;
}

.tag-html span {
  font-size: 16px;
}

.progressbar {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.bar-html {
  min-width: 100%;
  height: 15px;
  border-radius: 30px;
  box-shadow: inset -3px -3px 7px #ffffffb2,
    inset 3px 3px 5px rgba(94, 104, 121, 0.945);
  /* box-shadow: inset 6px 6px 6px #d9dade, inset -6px -6px 8px #ffffff; */
}

.progress {
  height: 70%;
  margin-top: 3px;
  margin-left: 3px;
  border-radius: 30px;
  background-color: var(--color-text-nuance-red);
}

.phtml {
  width: 95%;
}
.pcss {
  width: 90%;
}
.pjs {
  width: 70%;
}
.pphp {
  width: 75%;
}
.ppoo {
  width: 60%;
}
.pnode {
  width: 50%;
}
.preact {
  width: 25%;
}
/* Skills professional dde1e7 */
.barp {
  height: 125px;
  width: 125px;
  /* height: 200px;
  width: 200px; */
  display: inline-block;
  box-shadow: inset -3px -3px 7px #ffffffb2,
    inset 3px 3px 5px rgba(94, 104, 121, 0.945);
  position: relative;
  border-radius: 50%;
  overflow: hidden;
  margin: 10px;
}
.barp::after {
  content: "";
  position: absolute;
  height: 80%;
  border-radius: 50%;
  width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: -3px -3px 7px #8f8f8fb2, 3px 3px 5px rgba(94, 104, 121, 0.945);
}
svg {
  width: 100%;
  height: 100%;
  position: relative;
  fill: none;
}
svg .circle1 {
  stroke-linecap: round;
  position: absolute;
  transform: scale(0.93);
  transform-origin: center;
  stroke: var(--color-text-nuance-red);
  stroke-width: 16px;
  stroke-dasharray: 355;
  stroke-dashoffset: 629px;
  animation: progress_bar 1s ease-in-out forwards;
}

svg .circle2 {
  stroke-linecap: round;
  position: absolute;
  transform: scale(0.93);
  transform-origin: center;
  stroke: var(--color-text-nuance-red);
  stroke-width: 16px;
  stroke-dasharray: 390px;
  stroke-dashoffset: 629px;
  animation: progress_bar 1s ease-in-out forwards;
}

svg .circle3 {
  stroke-linecap: round;
  position: absolute;
  transform: scale(0.93);
  transform-origin: center;
  stroke: var(--color-text-nuance-red);
  stroke-width: 16px;
  stroke-dasharray: 380px;
  stroke-dashoffset: 629px;
  animation: progress_bar 1s ease-in-out forwards;
}
svg .circle4 {
  stroke-linecap: round;
  position: absolute;
  transform: scale(0.93);
  transform-origin: center;
  stroke: var(--color-text-nuance-red);
  stroke-width: 16px;
  stroke-dasharray: 500px;
  stroke-dashoffset: 629px;
  animation: progress_bar 1s ease-in-out forwards;
}
.h1_professional {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 18px;
}
span.span_professional {
  font-size: 12px;
}
@keyframes progress_bar {
  0% {
    stroke-dashoffset: 639;
  }
  100% {
    stroke-dashoffset: calc(629px - (629 * 90) / 100);
  }
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  max-width: 1200px;
  margin: 40px 0;
}
/* 
  min-width: 320px;
  height: 440px;
*/
.container .card {
  position: relative;
  min-width: 280px;
  height: 390px;
  box-shadow: inset 5px 5px 5px rgba(0, 0, 0, 0.2),
    inset -5px -5px 15px rgba(255, 255, 255, 0.1),
    5px 5px 15px rgba(0, 0, 0, 0.3), -5px -5px 15px rgba(255, 255, 255, 0.1);
  border-radius: 15px;
  margin: 30px;
}

.container .card .box {
  position: absolute;
  top: 20px;
  left: 20px;
  right: 20px;
  bottom: 20px;
  background: #2a2b2f;
  border: 2px solid #1e1f23;
  border-radius: 15px;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.5);
  transition: 0.5s;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.container .card .box:hover {
  transform: translateY(-50px);
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.5);
}
.container .card .box .content {
  padding: 20px;
  text-align: center;
}

.container .card .box .content h2 {
  position: absolute;
  top: -10px;
  right: 30px;
  font-size: 8em;
  color: rgba(255, 255, 255, 0.05);
  z-index: 10;
}

.container .card .box .content h3 {
  position: relative;
  font-size: 1.8em;
  color: rgba(255, 255, 255, 1);
  transition: 0.5s;
  z-index: 10;
  margin: 15px;
}

.container .card .box .content p {
  position: relative;
  font-size: 16px;
  font-weight: 400;
  color: rgba(255, 255, 255, 1);
  transition: 0.5s;
  z-index: 10;
}

.container .card .box .content a {
  position: relative;
  display: inline-block;
  padding: 8px 20px;
  background: #000;
  margin-top: 15px;
  border-radius: 20px;
  text-decoration: none;
  font-weight: 400;
  color: #fff;
  box-shadow: rgba(0, 0, 0, 0.2);
  z-index: 2;
}

.container .card:nth-child(1) .box .content a {
  background: #2196f3;
}
.container .card:nth-child(2) .box .content a {
  background: #ed5565;
}
.container .card:nth-child(3) .box .content a {
  background: #97dc47;
}

.container .card:nth-child(4) .box .content a {
  background: #2196f3;
}
.container .card:nth-child(5) .box .content a {
  background: #ed5565;
}
.container .card:nth-child(6) .box .content a {
  background: #97dc47;
}

.container .card:nth-child(7) .box .content a {
  background: #2196f3;
}
.container .card:nth-child(8) .box .content a {
  background: #ed5565;
}
.container .card:nth-child(9) .box .content a {
  background: #97dc47;
}

.container .card:nth-child(1) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Login-Form-Animation.png);
}
.container .card:nth-child(2) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  z-index: 1;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/El-Jeggos.png);
}
.container .card:nth-child(3) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Todo-List.png);
}

.container .card:nth-child(4) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/TicTacToe.png);
}

.container .card:nth-child(5) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Calculator-Glassmorphism.png);
}

.container .card:nth-child(6) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Cards-Team.png);
}

.container .card:nth-child(7) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Card-Marvel.png);
}

.container .card:nth-child(8) .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(../works/works-img/Card-Neumorphism.png);
}

.container .card .box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.05);
  pointer-events: none;
  background-image: url(https://images.unsplash.com/photo-1613245365136-9275da74ebb8?ixid=MXwxMjA3fDB8MHxlZGl0b3JpYWwtZmVlZHw5fHx8ZW58MHx8fA%3D%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=400&q=60);
}

/* 
=====
Contact
===== */
.heading {
  width: 100%;
  text-align: center;
  /* margin-bottom: 30px; */
  color: #111111;
}

.heading h2 {
  font-weight: 600;
  font-size: var(--h1-font-size);
  margin-bottom: 80px;
}
.content2 {
  display: flex;
  justify-content: space-between;
}

.contentBx h3 {
  font-size: 24px;
  margin-bottom: 10px;
}
.ajuste {
  padding-top: -40px;
}
.contact {
  border-radius: 5px;

  margin: 40px;
  background-color: var(--header-full-black);
}

.heading.white {
  color: #fff;
}

.formBx {
  min-width: 60%;
}

.formBx form {
  display: flex;
  flex-direction: column;
}

.formBx form h3,
.contactInfo h3 {
  color: #fff;
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 20px;
  text-align: center;
}

.formBx form input,
.formBx form textarea {
  margin-bottom: 20px;
  padding: 15px;
  font-size: 16px;
  border-radius: 5px;
  border: none;
  outline: none;
  background: #222222;
  color: #ffffff;
  resize: none;
}

.formBx form textarea {
  min-height: 200px;
}
.formBx form input::placeholder,
.formBx form textarea::placeholder {
  color: #999;
}

.ajustbtn {
  max-width: 100px;
  background: #222222;
  cursor: pointer;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
}

.contactInfo {
  min-width: 40%;
}

.contactInfoBx {
  position: relative;
}

.contactInfoBx .box {
  position: relative;
  padding: 20px;
  display: flex;
}

.contactInfoBx .box .icon {
  min-width: 40px;
  padding-top: 4px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  font-size: 24px;
}

.contactInfoBx .box .text {
  display: flex;
  margin-left: 40px;
  font-size: 16px;
  color: #ffffff;
  flex-direction: column;
  font-weight: 300;
}

.contactInfoBx .box .text h3 {
  font-weight: 500;
  color: #ed5565;
  margin-bottom: 0px;
}

.copyright {
  background-color: var(--header-nuance-black);
  color: #fff;
  text-align: center;
  padding: 10px;
}
.p-rue {
  text-align: center;
}
.emailajoust {
  margin-left: 15px !important;
}
div .text.phonalign {
  margin-left: 50px !important;
}
.icon {
  margin-top: 25px;
}
.contactInfoBx {
  margin-left: 50px;
}
@media (max-width: 991px) {
  .section-contact {
    padding: 50px 50px;
  }
  .heading h2 {
    margin-bottom: 30px;
    font-size: 38px;
  }
  .contentBx h3 {
    font-size: 20px;
  }
  .content2 {
    flex-direction: column;
  }
  .contactInfo {
    margin: 10px 0;
  }
  .contactInfoBx .box .icon {
    margin-top: 20px;
    font-size: 30px;
    margin-left: 20px !important;
  }
  .p-rue {
    text-align: center;
  }
  .emailajoust {
    margin-left: 21px !important;
  }
  div .text.phonalign {
    margin-left: 60px !important;
  }
  .contactInfoBx {
    margin-left: -50px !important;
    margin-left: -37px;
  }

  .contact {
    margin: 15px !important;
  }
  .tec {
    text-align: center;
  }
  h3.contactInfo {
    display: none !important;
  }
}
.bg-about {
  background-color: var(--background-nuance-white);
}

.section-subtitle-contact {
  text-align: center;
  padding-top: 20px;
  display: block;
  color: var(--color-text-nuance-red);
  font-size: var(--smaller-font-size); /*14px*/
  font-weight: var(--font-semi-bold);
}
form {
  padding-right: 10px;
}

.wt {
  color: #fff !important;
}
.center {
  text-align: center !important;
}

.contactInfoBx {
  margin: auto;
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}
/* ==========
Variables
========== */
:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --white: #fff;
}
